Group: Development/Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-macros-nodejs
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}


%global packagename wbuf
%global enable_tests 1

Name:		nodejs-wbuf
Version:	1.7.3
Release:	alt1_2
Summary:	Write buffer

License:	MIT
URL:		https://github.com/indutny/wbuf
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz
Source10:	dl-tests.sh


BuildArch:	noarch

BuildRequires:	rpm-build-nodejs node-devel
BuildRequires:	npm(minimalistic-assert)
%if 0%{?enable_tests}
BuildRequires:	mocha
%endif
Source44: import.info

%description
Write buffer


%prep
%setup -q -n package

sed -e '0,/^#### LICENSE/d' README.md > LICENSE

%build
# nothing to do!

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json *.js \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
%{_bindir}/mocha -R spec
%else
echo -e "\e[101m -=#=- Tests disabled -=#=- \e[0m"
%endif

%files
%doc README.md
%doc --no-dereference LICENSE
%{nodejs_sitelib}/%{packagename}

%changelog
* Thu Apr 11 2019 Igor Vlasenko <viy@altlinux.ru> 1.7.3-alt1_2
- new version

